org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider

## Class CustomLoadMetric<T extends CustomLoadMetric<T>>

- java.lang.Object
- - org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider.CustomLoadMetric<T>

-     public class CustomLoadMetric<T extends CustomLoadMetric<T>>
      extends Object

  Load metric definition

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomLoadMetric(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeClass()` Class name of the custom metric.
    `T` | `attributeClass(String value)` Class name of the custom metric.
    `Double` | `capacity()` Capacity of the metric.
    `T` | `capacity(Double value)` Capacity of the metric.
    `String` | `getKey()`
    `Map` | `property()` Properties for the metric.
    `T` | `property(Map value)` Properties for the metric.
    `T` | `property(String key, Object value)` Properties for the metric.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `weight()` Weight of the metric.
    `T` | `weight(Integer value)` Weight of the metric.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomLoadMetric

          public CustomLoadMetric(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### capacity

          public Double capacity()

      Capacity of the metric.

    - #### capacity

          public T capacity(Double value)

      Capacity of the metric.

    - #### attributeClass

          public String attributeClass()

      Class name of the custom metric.

    - #### attributeClass

          public T attributeClass(String value)

      Class name of the custom metric.

    - #### property

          public Map property()

      Properties for the metric.

    - #### property

          public T property(Map value)

      Properties for the metric.

    - #### property

          public T property(String key,
                            Object value)

      Properties for the metric.

    - #### weight

          public Integer weight()

      Weight of the metric.

    - #### weight

          public T weight(Integer value)

      Weight of the metric.

Copyright © 2018 JBoss by Red Hat. All rights reserved.